curl --request POST \
--url https://whitebit.com/api/v4/main-account/fee \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"request": "{{request}}",
"nonce": 1594297865000
}
'import requests
url = "https://whitebit.com/api/v4/main-account/fee"
payload = {
"request": "{{request}}",
"nonce": 1594297865000
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({request: '{{request}}', nonce: 1594297865000})
};
fetch('https://whitebit.com/api/v4/main-account/fee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"ticker": "ETH",
"name": "Ethereum",
"can_deposit": true,
"can_withdraw": true,
"deposit": {
"minFlex": "0",
"maxFlex": "0",
"percentFlex": "0",
"fixed": "0",
"minAmount": "0.01",
"maxAmount": "0"
},
"withdraw": {
"minFlex": "0",
"maxFlex": "0",
"percentFlex": "0",
"fixed": "0.0004",
"minAmount": "0.01",
"maxAmount": "0"
}
}
]Get fees
Returns an array of objects containing deposit/withdrawal fees for the corresponding currencies. Zero value in amount fields means that the setting is disabled.
The endpoint takes no input beyond the signed request envelope and returns the full per-currency fee schedule on success. It can return only the common authentication errors.
Rate limit: 1000 requests/10 sec.
The API does not cache the response.
Used in these guides
- Payment Integration — crypto deposits, withdrawals, conversion, WhiteBIT Codes, and Express Withdraw.
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
Response
Successful response
Currency name
"Ethereum"
Deposit status (currency availability)
true
Withdrawal status (currency availability)
true
Deposit fees and limits
Show child attributes
Show child attributes
Withdrawal fees and limits
Show child attributes
Show child attributes
Was this page helpful?